import 'package:flutter/widgets.dart';
import 'package:flutter_dynamic_ui/component/component.dart';
import 'package:flutter_dynamic_ui/model/data_model.dart';

abstract class BaseBlock extends DynamicComponent<BlockData> {
  List<Meta> metaList;

  List<Btn> btnList;

  List<Img> imgList;

  @override
  Widget createWidget(BuildContext context, BlockData data);
}
