import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:flutter_dynamic_ui/actions/action_config.dart';
import 'package:flutter_dynamic_ui/component/base_action.dart';
import 'package:flutter_dynamic_ui/model/data_model.dart';

@ActionConfig("action_nav_to_page")
class ActionNavToPage extends BaseAction {
  /// data params:
  /// - router : router name of page
  @override
  void doAction(BuildContext context, Key key, ActionData data) {
    Navigator.of(context).pushNamed(data.data["router"]);
  }
}
